com.amazonaws.services.codebuild.model

## Class BatchGetBuildsRequest

- java.lang.Object
- - com.amazonaws.AmazonWebServiceRequest
  - - com.amazonaws.services.codebuild.model.BatchGetBuildsRequest

All Implemented Interfaces:
  ReadLimitInfo, Serializable, Cloneable

    public class BatchGetBuildsRequest
    extends AmazonWebServiceRequest
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.amazonaws.AmazonWebServiceRequest

`NOOP`

### Constructor Summary

Constructors
Constructor and Description
`BatchGetBuildsRequest()`

### Method Summary

All Methods Instance Methods Concrete Methods
`BatchGetBuildsRequest` `clone()`
`boolean` `equals(Object obj)`
`List<String>` `getIds()` The IDs of the builds to get information about.
`int` `hashCode()`
`void` `setIds(Collection<String> ids)` The IDs of the builds to get information about.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`BatchGetBuildsRequest` `withIds(Collection<String> ids)` The IDs of the builds to get information about.
`BatchGetBuildsRequest` `withIds(String... ids)` The IDs of the builds to get information about.

### Methods inherited from class com.amazonaws.AmazonWebServiceRequest

`copyBaseTo, getCloneRoot, getCloneSource, getCustomQueryParameters, getCustomRequestHeaders, getGeneralProgressListener, getReadLimit, getRequestClientOptions, getRequestCredentials, getRequestCredentialsProvider, getRequestMetricCollector, getSdkClientExecutionTimeout, getSdkRequestTimeout, putCustomQueryParameter, putCustomRequestHeader, setGeneralProgressListener, setRequestCredentials, setRequestCredentialsProvider, setRequestMetricCollector, setSdkClientExecutionTimeout, setSdkRequestTimeout, withGeneralProgressListener, withRequestMetricCollector, withSdkClientExecutionTimeout, withSdkRequestTimeout`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BatchGetBuildsRequest

    public BatchGetBuildsRequest()

### Method Detail

#### getIds

    public List<String> getIds()

The IDs of the builds to get information about.

Returns:
  The IDs of the builds to get information about.

#### setIds

    public void setIds(Collection<String> ids)

The IDs of the builds to get information about.

Parameters:
  `ids` - The IDs of the builds to get information about.

#### withIds

    public BatchGetBuildsRequest withIds(String... ids)

The IDs of the builds to get information about.

NOTE: This method appends the values to the existing list (if any). Use `setIds(java.util.Collection)` or `withIds(java.util.Collection)` if you want to override the existing values.

Parameters:
  `ids` - The IDs of the builds to get information about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withIds

    public BatchGetBuildsRequest withIds(Collection<String> ids)

The IDs of the builds to get information about.

Parameters:
  `ids` - The IDs of the builds to get information about.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public BatchGetBuildsRequest clone()

Overrides:
  `clone` in class `AmazonWebServiceRequest`